<?php
/**
 * Dashboard-Lite
 *
 *  Data Logging and Dashbaord for Brultech Energy Monitors
 *
 * @package		Dashboard-Lite
 * @author		Brultech Team
 * @copyright	Copyright (c) 2011 - 2013, Brultech, Inc.
 * @license		btech-license.txt
 * @link		http://brultech.com
 */

// ------------------------------------------------------------------------

/**
 * Rawdata Controller Class
 *
 * @package	Dashboard-Lite
 * @subpackage	Controllers
 * @category	DataLog
 * @author	Brultech Team
 * @link	http://brultech.com
 */
class Rawdata extends MX_Controller {
   
  /**
   * Constructor
   *
   * @access	public
   */
  function Rawdata()
  {
    parent::__construct();
	$this->load->library('session');
	$this->load->helper('url');
	if($_SERVER['REMOTE_ADDR'] != "::1")
	{
	    if (!$this->session->userdata('admin'))
	    {
	        redirect('/pages/loads/');
	    }
	}
  }
  
   // --------------------------------------------------------------------

   /**
	* Display raw data log
	*
	* @access	public
	* @return	view
	*/
  function index()
  {
  	// Open the file that contains the raw data logs
    $ch = fopen('data', 'r');
	$data['rawdata'] = fread($ch,filesize('data'));
	fclose($ch);
	
    $this->load->view('home/settings/rawdata',$data);
  }
}