<?php
class Addon_model extends CI_Model {

  function Addon_model()
  {
    parent::__construct();
	$this->load->database('default', true);
  }

  function GetAddon($addon_name)
  {
  	$this->db->select('addon_id');
	$this->db->where('addon_name',$addon_name);
    return $this->db->get('addon');
  }
  
  function InsertAddon($addon_name)
  {
  	$data = array(
               'addon_name' => $addon_name
               );
			   
	
    $this->db->insert('addon', $data); 
  }
  
  function GetAddonVar($var_name, $addon_id)
  {
  	$this->db->select('value');
	$this->db->where('addon_id',$addon_id);
	$this->db->where('var_name',$var_name);
    return $this->db->get('addon_var');
  }
  
  function InsertAddonVar($addon_id, $var_name, $value)
  {    
    $data = array(
               'var_name' => $var_name,
               'value' => $value,
               'addon_id' => $addon_id
               );

    $this->db->insert('addon_var', $data); 
  }
  
  function UpdateAddonVar($addon_id, $var_name, $value)
  {
    
    $data = array(
               'value' => $value
            );

    $this->db->where('addon_id', $addon_id);
    $this->db->where('var_name', $var_name);
    $this->db->update('addon_var',$data); 
  }
}
?>