<?php
/*  Copyright BrulTech Research Inc. 2011
| 
| 
| Loads Controller
| -------------------------------------------------------------------
| This controller displays all the current loads, and loads 2 modules
| in it's view: /btech/modules/mostviewed and /btech/modules/mostactive. 
|
*/
class Loads extends MX_Controller {

  function Loads()
  {
    parent::__construct();
    $this->load->helper('url');
    $this->load->helper('form');
	$this->load->model('device_model');
	$this->load->model('sysinfo_model');
  }
  
  function index()
  {
  	$info = $this->sysinfo_model->GetInfo();

	if($info->num_rows() == 0)
	{
	 	redirect('/pages/firstrun');
	}
	
	$data['dev']  = $this->device_model->getDevices();
	
    $this->load->view('home/loads/index', $data);
  }
  
}