<?php
class Virtual_model extends CI_Model {

  function Virtual_model()
  {
    parent::__construct();
	$this->load->database('default', true);
  }

  function GetChannelsModule($virtual_id)
  {
    $this->db->select('virtchan_id, channel_name, channel.channel_id');
    $this->db->from('virtual_chan');
    $this->db->join('channel', 'channel.channel_id = virtual_chan.channel_id', 'inner'); 
    $this->db->where('virtual_chan.virtual_id',$virtual_id); 
    return $this->db->get();
  }
  
  function GetChannelsNot($virtual_id)
  {
    $sql =  'SELECT *
    FROM channel
    INNER JOIN devices ON channel.device_id = devices.device_id
    WHERE channel_id NOT IN (SELECT channel_id FROM virtual_chan WHERE virtual_id = '.$this->db->escape($virtual_id).')
	AND ctype = 0
    ORDER BY devices.device_id, channel.channel_id';

    return $this->db->query($sql);
  }
  
  function GetChannel($virtual_id, $channel_id)
  {
    $this->db->select('virtchan_id');
    $this->db->from('virtual_chan');
    $this->db->where('virtual_id',$virtual_id); 
    $this->db->where('channel_id',$channel_id); 
    return $this->db->get();
  }
  
  function RemoveChannel($virtchan_id)
  {
      $this->db->where('virtchan_id', $virtchan_id);
      $this->db->delete('virtual_chan'); 
  }
  
  function AddChannel($virtual_id, $channel_id)
  {
  	$chk = $this->GetChannel($virtual_id, $channel_id);
	
	if($chk->num_rows() == 0)
	{
	    $data = array(
	               'channel_id' => $channel_id,
	               'virtual_id' => $virtual_id
	               );
	
	    $this->db->insert('virtual_chan', $data);
	}
  }
  
  function ClearData()
  {
  	$this->db->truncate('virtual_chan');
  }
}
?>