<?php
 	if (defined('ENVIRONMENT') AND is_file(APPPATH.'config/'.ENVIRONMENT.'/locales.php'))
	{
		include(APPPATH.'config/'.ENVIRONMENT.'/locales.php');
	}
	elseif (is_file(APPPATH.'config/locales.php'))
	{
		include(APPPATH.'config/locales.php');
	}
	
 	if (defined('ENVIRONMENT') AND is_file(APPPATH.'config/'.ENVIRONMENT.'/timezone.php'))
	{
		include(APPPATH.'config/'.ENVIRONMENT.'/timezone.php');
	}
	elseif (is_file(APPPATH.'config/timezone.php'))
	{
		include(APPPATH.'config/timezone.php');
	}
?>
<?php header("Pragma: no-cache"); ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Dashboard</title>
  <meta http-equiv="Pragma" content="no-cache" />
  <meta http-equiv="Expires" content="-1" />

  <link rel="stylesheet" type="text/css" href="/style/style.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/style/colorbox.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/style/timepick.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/style/jqui.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/style/topmenu.css" type="text/css" />
  <script type="text/javascript" src="/js/jq.js"></script>
  <script type="text/javascript" src="/js/jqui.js"></script>
  <script type="text/javascript" src="/js/timepick.js"></script>
</head>

<script>
$(function() {
    $('#currTime').datetimepicker({ dateFormat: 'yy-mm-dd', timeFormat: 'hh:mm:ss', showSecond: true });
  });
</script>  

<body class="bgGradient">
	<div id="top" class="bgGradient" style="height:75px; margin:0 auto;">
	  <div id="centerwrap">
		  <div id="TopLeft" style="height:75px;">
		  	<a href="#" title="Back to main page" class="center" style="display:block;"><img src="/img/header.png" /></a>
		  	
		  </div>
	  </div>
	</div>
    <div id="content" style="margin:0 auto;">
    	<div id="centerwrap">
    	<div style="width:400px; float:left; padding-left:20px; font-size:10px;">
			<p>EULA - End User License Agreement<br><br>
 	
This license agreement (hereinafter Agreement) is an agreement between you 
(the person or company who is being licensed to use the Software or Documentation)
and Brultech (hereinafter We/us/our). The Agreement applies to all 
products/software/scripts/services you purchase or test from us.<br><br>

1. By purchasing the Software you acknowledge that you have read this Agreement, 
and that you agree to the content of the Agreement and its terms, and agree to use the 
Software in compliance with this Agreement.<br><br>

2. The Agreement comes into legal force at the moment when you order our Software from 
our site or receive it through email or on data medium at the our discretion.<br><br>

3. We are the copyright holder of the Software. The Software or a portion of it is a 
copyrightable matter and is liable to protection by the law. Any activity that infringes 
terms of this Agreement violates copyright law and will be prosecuted according to the current law.
 We reserve the right to revoke the license of any user who is holding an invalid license.<br><br>

4. This Agreement gives you the right to use only one copy of the Software on the DashBox solely for 
your own personal or business use, subject to all other terms of this Agreement.  Any distribution of the Software without our consent, 
including noncommercial distribution is regarded as violation of this Agreement and entails liability,
according to the current law.<br><br>

5. You may not use any part of the code in whole or part in any other software or product or website.<br><br>

6. You may not give, sell, distribute, sub-license, rent, lease or lend any portion of the Software or
Documentation to anyone. You may not place the Software on a server so that it is accessible via a public 
network such as the Internet for distribution purposes.<br><br>

7. You are bound to preserve the copyright information intact, this includes the text at bottom.<br><br>

8. We will not be liable to you for any damages (including any loss of profits/saving, or incidental or consequential ) 
caused to you, your information and your business arising out of the use or inability to use this Software.<br><br>

9. We are not liable for prosecution arising from use of the Software against law or for any illegal use.<br><br>

10. If you fail to use the Software in accordance with the terms and conditions of this License Agreement, 
it constitutes a breach of the agreement, and your license to use the program is revoked.<br><br>

11. Brultech reserves the right to change this license agreement at any time and impose its clauses at any given time.<br><br>

12. License agreement remains effective until terminated. We retain the right to terminate your license to use the 
Software at any time, if in its sole discretion, you are not abiding by the terms of the Agreement, including, but not limited to, 
obscuring or removing any link or copyright notice as specified in this agreement. You may terminate it at any time by destroying all 
copies of the Software. Termination of this Agreement does not bind us to return you the amount spent for purchase of the Software.
<br><br>
13. If you continue to use the Software after Brultech gives you notice of termination of your license, you hereby 
agree to accept an injunction to enjoin you from its further use and to pay all costs (including but not limited to reasonable 
attorney fees) to enforce our revocation of your license and any damages suffered by us because of your misuse of the Software.
<br><br>
INDEMNITY
You agree to indemnify and hold harmless the authors of the Software and
any contributors for any direct, indirect, incidental, or consequential
third-party claims, actions or suits, as well as any related expenses,
liabilities, damages, settlements or fees arising from your use or misuse
of the Software, or a violation of any terms of this license.
<br><br>
LIMITATIONS OF LIABILITY
YOU ASSUME ALL RISK ASSOCIATED WITH THE INSTALLATION AND USE OF THE SOFTWARE.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS OF THE SOFTWARE BE LIABLE
FOR CLAIMS, DAMAGES OR OTHER LIABILITY ARISING FROM, OUT OF, OR IN CONNECTION
WITH THE SOFTWARE. LICENSE HOLDERS ARE SOLELY RESPONSIBLE FOR DETERMINING THE
APPROPRIATENESS OF USE AND ASSUME ALL RISKS ASSOCIATED WITH ITS USE, INCLUDING
BUT NOT LIMITED TO THE RISKS OF PROGRAM ERRORS, DAMAGE TO EQUIPMENT, LOSS OF
DATA OR SOFTWARE PROGRAMS, OR UNAVAILABILITY OR INTERRUPTION OF OPERATIONS.</p>
		</div>
		<div style="width:480px; float:left; padding-top:15%; padding-left:20px;">
			
		<?php echo form_open('pages/firstrun'); ?>
      <?php echo validation_errors(); ?>
		<fieldset class="info center" style="width:400px; text-align:left;"> 
         <legend>Initial Configuration</legend> 
           <table>
           	<tr>
           		<td>
           			<label for="timezone">Timezone</label>
           		</td>
           		<td>
           			<select name="timezone">
						<option value="Pacific/Honolulu">(GMT-10:00) Hawaii</option>
						<option value="America/Anchorage">(GMT-09:00) Alaska</option>
						<option value="America/Los_Angeles">(GMT-08:00) Pacific Time (US &amp; Canada)</option>
						<option value="America/Phoenix">(GMT-07:00) Arizona</option>
						<option value="America/Denver">(GMT-07:00) Mountain Time (US &amp; Canada)</option>
						<option value="America/Chicago">(GMT-06:00) Central Time (US &amp; Canada)</option>
						<option value="America/New_York">(GMT-05:00) Eastern Time (US &amp; Canada)</option>
						<option value="America/Indiana/Indianapolis">(GMT-05:00) Indiana (East)</option>
						<option disabled="disabled">&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8211;</option>
						<?php
							foreach($timezone as $key => $value) {
								echo '		<option value="' . $key . '">' . $value . '</option>' . "\n";
							}
						?>
					</select>
           		</td>
           	</tr>
           	<tr>
           		<td>
           			<label for="locale">Locale</label>
           		</td>
           		<td>
           			<select name="locale">
						<?php
							foreach($locales as $key => $value) {
								echo '		<option value="' . $key . '">' . $value  . '</option>' . "\n";
							}
						?>
					</select>
           		</td>
           	</tr>
			<tr>
				<td>User</td>
				<td><input type="text" id="text" name="admin_user" values="<?php echo set_value('admin_user'); ?>" /></td>
			</tr>
			<tr>
				<td>Password</td>
				<td><input type="password" id="text" name="admin_pass" values="<?php echo set_value('admin_pass'); ?>" /></td>
			</tr>
			<tr>
				<td>Confirm Pass</td>
				<td><input type="password" id="text" name="admin_confpass" values="<?php echo set_value('admin_confpass'); ?>" /></td>
			</tr>
			<tr>
				<td colspan="2">I agree with License Agreement<input type="checkbox" id="text" name="admin_agree" /></td>
			</tr>
         </table>
		 <div class="center"><input type="submit" value="Save Settings" id="submit" /></div>
		</fieldset>
       <?php echo form_close(); ?>
       
      </div>
      	<div id="clear"></div>
      </div>
    </div>
    <div id="footer" style="margin:0 auto;">
    	<div id="centerwrap">
      	  	<div class="cp">Copyright &copy; Brultech Research Inc, 2012</div>
      	</div>
    </div>
</body>
</html>