<?php
/**
 * Dashboard-Lite
 *
 *  Data Logging and Dashbaord for Brultech Energy Monitors
 *
 * @package		Dashboard-Lite
 * @author		Brultech Team
 * @copyright	Copyright (c) 2011 - 2013, Brultech, Inc.
 * @license		btech-license.txt
 * @link		http://brultech.com
 */

// ------------------------------------------------------------------------

/**
 * Help Controller Class
 *
 * @package	Dashboard-Lite
 * @subpackage	Controllers
 * @category	Help
 * @author	Brultech Team
 * @link	http://brultech.com
 */
class Help extends MX_Controller {
   
  /**
   * Constructor
   *
   * @access	public
   */
  function Help()
  {
    parent::__construct();
    $this->load->helper('url');
	$this->load->library('session');
	if($_SERVER['REMOTE_ADDR'] != "::1")
	{
	    if (!$this->session->userdata('admin'))
	    {
	        redirect('/pages/loads/');
	    }
	}
  }
  
   // --------------------------------------------------------------------

   /**
	* Load the help file view
	*
	* @access	public
	* @return	void
	*/
  function index()
  {
  	
	// Needs updating
    $this->load->view('home/settings/help/index');
  }
}

