<?php
/**
 * Dashboard-Lite
 *
 *  Data Logging and Dashbaord for Brultech Energy Monitors
 *
 * @package		Dashboard-Lite
 * @author		Brultech Team
 * @copyright	Copyright (c) 2011 - 2013, Brultech, Inc.
 * @license		btech-license.txt
 * @link		http://brultech.com
 */

// ------------------------------------------------------------------------

/**
 * Settings Controller Class
 *
 * @package	Dashboard-Lite
 * @subpackage	Controllers
 * @category	Setup
 * @author	Brultech Team
 * @link	http://brultech.com
 */
class Settings extends MX_Controller {
   
  /**
   * Constructor
   *
   * @access	public
   */
  function Settings()
  {
    parent::__construct();
    $this->load->helper('url');
	$this->load->library('session');
	if($_SERVER['REMOTE_ADDR'] != "::1")
	{
	    if (!$this->session->userdata('admin'))
	    {
	        redirect('/pages/loads/');
	    }
	}
  }
  
   // --------------------------------------------------------------------

   /**
	* Display the settings page
	*
	* @access	public
	* @return	view
	*/
  function index()
  {
  	 $this->load->view('home/settings/index', $data);
  }
}

