<?php
class Api_model extends CI_Model {

  function Api_model()
  {
    parent::__construct();
  }
  
  function Custom($custCall)
  {
	$DB2 = $this->load->database('api', true);
  	return $DB2->query($custCall);
  }
  
  function Devices()
  {
  	$this->db->select('serial');
	$this->db->from('devices');
    return $this->db->get();
  }
  
  function Channels($serial)
  {
    $devid = $this->_getDevId($serial);
	$devid = $devid->row_array();
	
  	$this->db->select('channel_id, channel_name');
	$this->db->from('channel');
    $this->db->where('device_id', $devid['device_id']);
    return $this->db->get();
  }
  
  function Data($table, $start, $end, $vals, $channels, $offset)
  {
	$sql = "SELECT channel_id, (date + '".$offset." hours') as date,";
	$first = TRUE;
	foreach($vals as $val)
	{
		if(!$first)
		{
			$sql .= ',';
		}
		else
		{
			$first = FALSE;
		}
		
		$sql .= $val;
	}
	
  	$first = TRUE;
	$sql.=		" FROM minutedata 
	WHERE date BETWEEN ".$this->db->escape($start)." AND ".$this->db->escape($end)." AND channel_id IN ("; 
				
	foreach($channels as $chan)
	{
		if(!$first)
		{
			$sql .= ', ';
		}
		else
		{
			$first = FALSE;
		}
		
		$sql .= $chan;
				
	}			
	$sql .=	")";  
				 
	return $this->db->query($sql);	
  }
  
  function _getDevId($serial)
  {
  	$this->db->select('device_id');
	$this->db->from('devices');
	$this->db->where('serial',$serial);
    return $this->db->get();
  }
  
}
?>