<?php
class Channelimage_model extends CI_Model {

  function Channelimage_model()
  {
    parent::__construct();
	$this->load->database('default', true);
  }

  function GetImages()
  {
  	$this->db->select('channelimage_id as id, image_name');
    return $this->db->get('channel_image');
  }
  
  function GetImage($image_name)
  {
  	$this->db->select('image_name');
    $this->db->where('image_name', $image_name);
    return $this->db->get('channel_image');
  }
  
  function GetImageByID($id)
  {
  	$this->db->select('channelimage_id, image_name');
    $this->db->where('channelimage_id', $id);
    return $this->db->get('channel_image');
  }
  
  function InsertImage($image_name)
  {
  	$count = $this->GetImage($image_name);
	
	if($count->num_rows() == 0)
	{
		$this->db->set('image_name', $image_name);
    	$this->db->insert('channel_image');
	}
  }
  
  function RemoveImage($id, $image_name)
  {
  	$this->db->set('image', '');
	$this->db->where('image', $image_name);
	$this->db->update('channel');
	
	$this->db->where('channelimage_id', $id);
	$this->db->delete('channel_image');
  }
}
?>