<?php
class Module_model extends CI_Model {

  function Module_model()
  {
    parent::__construct();
	$this->load->database('default', true);
  }

  function GetModules()
  {
    $this->db->order_by('module_id', 'ASC');
    return $this->db->get('module');
  }
  
  function GetModuleInfo($mod_id)
  {
    $this->db->select('*');
    $this->db->where('module_id',$mod_id);
    return $this->db->get('module');
  }
  
  function RemoveModule($mod_id)
  {
    $this->db->where('module_id', $mod_id);
    $this->db->delete('module'); 
    
	$this->db->select('moduletab_id');
    $this->db->where('module_id', $mod_id);
    $modchan = $this->db->get('module_tab'); 
	
	foreach($modchan->result() as $remove)
	{
		$this->db->where('moduletab_id', $remove->moduletab_id);
    	$this->db->delete('module_channel'); 
	}
	
    $this->db->where('module_id', $mod_id);
    $this->db->delete('module_tab'); 
	
	
  }
  
  function InsertModule($module_title, $module_controller, $module_size, $module_channels)
  {
	$this->db->set('module_title', $module_title);
	$this->db->set('module_controller', $module_controller);
	$this->db->set('module_size', $module_size);
	$this->db->set('module_channels', $module_channels);
    $this->db->insert('module'); 
  }
}
?>