<html>
	<head>
  		<link rel="stylesheet" type="text/css" href="/style/style.css" media="screen" />
		<link rel="stylesheet" href="/style/basic.css" type="text/css" />
		<link rel="stylesheet" href="/style/gall.css" type="text/css" />
		<script type="text/javascript" src="/js/jq.js"></script>
		<script type="text/javascript" src="/js/jq-galleriffic.js"></script>
		<script type="text/javascript" src="/js/jq-op.js"></script>
		<!-- We only want the thunbnails to display when javascript is disabled -->
		<script type="text/javascript">
			document.write('<style>.noscript { display: none; }</style>');
		</script>
		
		<style>
		  legend {
		    color:#0b77b7;
		    font-size:1.2em;
		    text-align:left;
		  }
		</style>
	</head>
	<body>
		<div id="page">
			<div id="container">
				<fieldset id="thumbs" class="navigation info" style="width:198px; float:left;">
					<legend>Select your Image:</legend>
						<ul class="thumbs noscript">
							<?php
								foreach($images->result() as $image)
								{
									if($type == 1 || $type == 3 || $type == 4)
									{
										$path = base_url().'img/devices/';
									}
									else
									{
										$path = base_url().'img/dashboards/';
									}
									
									$path .= $image->image_name;
									
								  	echo '
									<li>
										<a class="thumb" name="'.$image->image_name.'" href="'.$path.'" >
											<img src="'.$path.'" width="50" />
										</a>
										<div class="caption center">
							                '.form_open('displayimages/Main/'.$type.'/'.$id.'/'.$serial).'
							                	<input type="hidden" name="id" id="id" value="'.set_value('id',$id).'" />
							                	<input type="hidden" name="imageName" id="imageName" value="'.set_value('imageName',$image->image_name).'" />
							                	<input type="submit" value="Set as Image" />
							                '.form_close().'
							            </div>
									</li>';
								}
							?>
						</ul>
				</fieldset>
				<fieldset id="gallery" class="content info" style="margin-left:20px; width:420px; float:left;">
					<legend>Preview:</legend>
						<div id="controls" class="controls"></div>
						<div class="slideshow-container">
							<div id="loading" class="loader"></div>
							<div id="slideshow" class="slideshow"></div>
						</div>
						<div id="caption" class="caption-container"></div>
				</fieldset>
				<div style="clear: both;"></div>
			</div>
		</div>
		<script type="text/javascript">
			jQuery(document).ready(function($) {
				// We only want these styles applied when javascript is enabled
				$('div.navigation').css({'width' : '220px', 'float' : 'left'});
				$('div.content').css('display', 'block');

				// Initially set opacity on thumbs and add
				// additional styling for hover effect on thumbs
				var onMouseOutOpacity = 0.67;
				$('#thumbs ul.thumbs li').opacityrollover({
					mouseOutOpacity:   onMouseOutOpacity,
					mouseOverOpacity:  1.0,
					fadeSpeed:         'fast',
					exemptionSelector: '.selected'
				});
				
				// Initialize Advanced Galleriffic Gallery
				var gallery = $('#thumbs').galleriffic({
					delay:                     0,
					numThumbs:                 100,
					preloadAhead:              10,
					enableTopPager:            false,
					enableBottomPager:         false,
					maxPagesToShow:            7,
					imageContainerSel:         '#slideshow',
					loadingContainerSel:       '#loading',
					captionContainerSel:		'#caption',
					renderSSControls:          false,
					renderNavControls:         false,
					enableHistory:             false,
					autoStart:                 false,
					syncTransitions:           true,
					defaultTransitionDuration: 0,
					onSlideChange:             function(prevIndex, nextIndex) {
						// 'this' refers to the gallery, which is an extension of $('#thumbs')
						this.find('ul.thumbs').children()
							.eq(prevIndex).fadeTo('fast', onMouseOutOpacity).end()
							.eq(nextIndex).fadeTo('fast', 1.0);
					},
					onPageTransitionOut:       function(callback) {
						this.fadeTo('fast', 0.0, callback);
					},
					onPageTransitionIn:        function() {
						this.fadeTo('fast', 1.0);
					}
				});
			});
		</script>
	</body>
</html>