<?php
 	if (defined('ENVIRONMENT') AND is_file(APPPATH.'config/'.ENVIRONMENT.'/locales.php'))
	{
		include(APPPATH.'config/'.ENVIRONMENT.'/locales.php');
	}
	elseif (is_file(APPPATH.'config/locales.php'))
	{
		include(APPPATH.'config/locales.php');
	}
	
 	if (defined('ENVIRONMENT') AND is_file(APPPATH.'config/'.ENVIRONMENT.'/timezone.php'))
	{
		include(APPPATH.'config/'.ENVIRONMENT.'/timezone.php');
	}
	elseif (is_file(APPPATH.'config/timezone.php'))
	{
		include(APPPATH.'config/timezone.php');
	}
	$this->load->view('header/index');
?>
 
<div id="middle" class="center" style="font-size:14px;">
	  <?php
	  	 $data['index'] = 9;
	  	 $this->load->view("home/settings/menu",$data);
	  ?>
	<div id="settingsRight">
    <?php if($msg == 1){ echo '<div class="center" style="padding-bottom:10px; padding-top:5px; font-weight:bold;">Your settings have been updated.</div>'; }; ?>
    <?php if(strlen(validation_errors()) > 0) { echo '<div class="errorStyle center">'.validation_errors().'</div>'; } ?>
    <?php echo form_open('loginbox/UpdateLogin/'); ?>
	<div class="popUpHolder" style="width:450px; margin-top:10px; margin-bottom:10px;">
		<div class="popUpTitle bgGradientTwo">Login</div> 
        <table style="margin:0 auto; font-weight:bold;">
          <tr> 
            <td><label for="controller">User Name:</label></td> 
            <td width="15"><input type="text" class="text" name="admin_user" value="<?php echo set_value('admin_user'); ?>" /></td> 
          </tr>
          <tr> 
            <td><label for="controller">Email:</label></td> 
            <td width="15"><input type="text" class="text" name="admin_email" value="<?php echo set_value('admin_email'); ?>" /></td> 
          </tr>
          <tr> 
            <td><label for="controller">Password:</label></td> 
            <td width="15"><input type="password" class="text" name="admin_pass" value="<?php echo set_value('admin_pass'); ?>" /></td> 
          </tr>
          <tr> 
            <td><label for="controller">Confirm Password:</label></td> 
            <td width="15"><input type="password" class="text" name="admin_confpass" value="<?php echo set_value('admin_confpass'); ?>" /></td> 
          </tr>
        </table> 
	    <div class="center"><input type="submit" value="Update Login" id="submit" /></div>
      </div>
  <?php echo form_close(); ?>
  <?php echo form_open('loginbox/UpdateTime/'); ?>
  <div class="popUpHolder" style="width:450px; margin-bottom:10px;">
		<div class="popUpTitle bgGradientTwo">Timezone</div> 
        <table style="margin:0 auto; font-weight:bold;">
          <tr>
         		<td>Set Timezone:</td>
         		<td>
         			<select name="timezone">
						<option value="Pacific/Honolulu">(GMT-10:00) Hawaii</option>
						<option value="America/Anchorage">(GMT-09:00) Alaska</option>
						<option value="America/Los_Angeles">(GMT-08:00) Pacific Time (US &amp; Canada)</option>
						<option value="America/Phoenix">(GMT-07:00) Arizona</option>
						<option value="America/Denver">(GMT-07:00) Mountain Time (US &amp; Canada)</option>
						<option value="America/Chicago">(GMT-06:00) Central Time (US &amp; Canada)</option>
						<option value="America/New_York">(GMT-05:00) Eastern Time (US &amp; Canada)</option>
						<option value="America/Indiana/Indianapolis">(GMT-05:00) Indiana (East)</option>
						<option disabled="disabled">&#8212;&#8212;&#8212;&#8212;&#8212;&#8212;&#8211;</option>
						<?php
							foreach($timezone as $key => $value) {
								echo '		<option value="' . $key . '"';
								if($tz == $key)
								{
									echo ' selected="selected"';
								} 
								echo '>' . $value . '</option>' . "\n";
							}
						?>
					</select>
				</td>
         	</tr>
        </table> 
	    <div class="center"><input type="submit" value="Update Timezone" id="submit" /></div>
      </div>
  <?php echo form_close(); ?>
  <?php echo form_open('loginbox/UpdateLocale/'); ?>
  <div class="popUpHolder" style="width:450px;">
		<div class="popUpTitle bgGradientTwo">Locale</div> 
        <table style="margin:0 auto; font-weight:bold;">
           	<tr>
           		<td>
           			<label for="locale">Locale</label>
           		</td>
           		<td>
           			<select name="locale">
						<?php
							foreach($locales as $key => $value) {
								echo '		<option value="' . $key . '"'; 
								if($locale == $key)
								{
									echo ' selected="selected"';
								} 
								
								echo '>' . $value  . '</option>' . "\n";
							}
						?>
					</select>
           		</td>
           	</tr>
        </table> 
	    <div class="center"><input type="submit" value="Update Locale" id="submit" /></div>
      </div>
  <?php echo form_close(); ?>
	</div>
</div>
<?php
$this->load->view('footer/index');
?>