<?php
/**
 * Dashboard-Lite
 *
 *  Data Logging and Dashbaord for Brultech Energy Monitors
 *
 * @package		Dashboard-Lite
 * @author		Brultech Team
 * @copyright	Copyright (c) 2011 - 2013, Brultech, Inc.
 * @license		btech-license.txt
 * @link		http://brultech.com
 */

// ------------------------------------------------------------------------

/**
 * Menu Controller Class
 *
 * @package	Dashboard-Lite
 * @subpackage	Controllers
 * @category	Display
 * @author	Brultech Team
 * @link	http://brultech.com
 */
class Menu extends MX_Controller {
   
  /**
   * Constructor
   *
   * @access	public
   */
  function __construct()
  {
    parent::__construct();
	$this->load->library('session');
    $this->load->helper('url');
  }
  
   // --------------------------------------------------------------------

   /**
	* Show the menu
	*
	* @access	public
	* @return	void
	*/
  function index()
  {
	if($_SERVER['REMOTE_ADDR'] != "::1")
	{
		if (!$this->session->userdata('admin'))
		{
		    $data['settings'] = false;
		}
		else
		{
			$data['settings'] = true;
		}
	}
	else
	{
		$data['settings'] = true;
	}
    
    $this->load->view('menu', $data);  
  }
}