<?php
$this->load->view("header/index");
?>
<link rel="stylesheet" type="text/css" href="/style/module.css" media="screen" />
<link rel="stylesheet" type="text/css" href="/style/device.css" media="screen" />
<link rel="stylesheet" type="text/css" href="/style/tabmenu.css" media="screen" />
<script type="text/javascript" src="/js/jqui.js"></script>
<script type="text/javascript" src="/js/timepick.js"></script>
<link rel="stylesheet" type="text/css" href="/style/timepick.css" media="screen" />
<link rel="stylesheet" type="text/css" href="/style/jqui.css" media="screen" />

<div id="middle" class="center" style="margin-bottom:10px;">
<script>
	$(function() {
	    $('#lineDate').datepicker({ format: 'mm/dd/yy' });
	    });
	</script>
	
	
	<div id="devHead">
		<div class="centerwrap">
			<div id="devInfo">
				<span class="devTitle"><?php if($dev_id != 0) { 
												if($dev['alias'] != '') {
													 echo $dev['alias'].'('; 
												} 
											
												echo $dev['serial']; 
											
												if($dev['alias'] != '') {
													 echo ')'; 
												}
											}
											else {
												echo 'All Devices';
											}
										?></span>
				<div class="devSeparator"></div>
				<ul id="tabmenu" class="center">
			      <li><a href="<?php echo base_url().'index.php/pages/search/device/'.$dev_id; ?>">Channels</a></li>
			      <li><a href="<?php echo base_url().'index.php/pages/search/line/'.$dev_id; ?>">Line Graph</a></li>
			      <li><a href="<?php echo base_url().'index.php/pages/search/Live/'.$dev_id; ?>">Live Data</a></li>
			    </ul>
			</div>
		</div>
	</div>
	
	<div id="clear"></div>
	
	<div id="module" style="width:950px; margin:0 auto;">
	  <!--- User Defined Title -->
	  <div class="title">Channels</div>
	  <table id="navHolder">
		  <tr>
		  	<td><a id="refreshLine" onClick="changeLineDay(0,0)">Refresh</a></td>
		  	<td><a id="prevDay" onClick="changeLineDay(1,0);">Previous Day</a></td>
		  	<td><a id="nextDay"  onClick="changeLineDay(-1,0);">Next Day</a></td>
		  	<td><input type="text" id="lineDate" class="text" /></td>
		  	<td><a id="lineButton">Select Date</a></td>
		  	<td style="width:175px;"><span id="throbber" class="throb">Loading...<img src="/img/throbber2.gif" /></span></td>
		  </tr>
	  </table>
  	  <div style="clear:both;"></div>
	  <!--- Module Content -->
	  <div style="height:<?php echo $chart_height; ?>;">
		  <div id="linegraph" style="width:950px; height:<?php echo $chart_height; ?>; display: table-cell; vertical-align:middle;">
		  		<div style="font-family: Helvetica; font-weight:bold; text-align:center;">Loading...<img src="/img/throbber.gif" style="vertical-align: middle; padding-left:5px;"/></div>
		  </div>
	  </div>
	  <!--- End Module Content -->
	  
	</div>
	<!--- End Module Container -->
	
	<!--- Optional: Graph Loader -->
	<script type="text/javascript">
		var day = 0;
	    var chart;
	    chart = new AmCharts.AmSerialChart();
	    chart.pathToImages = "/graphs/graphing/javascript/images/";
	    
		AmCharts.ready(
			function () { 
				$.ajax({
			       url: "/index.php/pages/search/GraphLine/<?php echo $dev_id ?>/" + day,
			       dataType: 'json',
			       data: undefined,
			       cache: false, 
			       success: function(chartData) {	
						$.ajax({
					       url: '/index.php/pages/search/GetChannelsInfo/<?php echo $dev_id ?>/' + day,
					       dataType: 'json',
					       data: undefined,
					       cache: false, 
					       success: function(modInfo) {
							    chart.dataProvider = chartData;
					            chart.categoryField = "date";
								chart.panEventsEnabled = true;
					            chart.addLabel(0, 0, modInfo[0]['title'], "center", 15, "#000000", 0, 1, true);
								if (modInfo[0].hasOwnProperty("waxis")) {
								    var valueAxis = new AmCharts.ValueAxis();
								    valueAxis.title = modInfo[0]["waxis"];
								    valueAxis.axisAlpha = 0;
								    valueAxis.devLength = 1;
									valueAxis.position = "left";
								    chart.addValueAxis(valueAxis);
					       		}
					       		
					       		if (modInfo[0].hasOwnProperty("taxis")) {
								    var valueAxis2 = new AmCharts.ValueAxis();
								    valueAxis2.title = modInfo[0]["taxis"];
								    valueAxis2.axisAlpha = 0;
								    valueAxis2.devLength = 1;
								    valueAxis2.position = "right";
								    chart.addValueAxis(valueAxis2);
					       		}
					       		
					       		if (modInfo[0].hasOwnProperty("paxis")) {
								    var valueAxis3 = new AmCharts.ValueAxis();
								    valueAxis3.title = modInfo[0]["paxis"];
								    valueAxis3.axisAlpha = 0;
								    valueAxis3.devLength = 1;
								    valueAxis3.position = "right";
								    chart.addValueAxis(valueAxis3);
					       		}
					       		
					       		var names = modInfo[0]['chnames'].split('<n>');
					       		for(var key in names)
					       		{
							  		var graph = new AmCharts.AmGraph();
					                graph.title = names[key];
					                graph.valueField = names[key];
					                graph.lineColor = modInfo[0][names[key] + "_col"];
					                graph.balloonText = names[key] + ": [[value]] " + modInfo[0][names[key] + "_val"];
					                graph.valueAxis = eval(modInfo[0][names[key] + "_side"]);
					                graph.connect = true;
					                chart.addGraph(graph);
					       		}
								
								// CURSOR
								var chartCursor = new AmCharts.ChartCursor();
								chartCursor.cursorPosition = "mouse";
								chartCursor.oneBalloonOnly = true;
								chart.addChartCursor(chartCursor);
								
								// SCROLLBAR
								var chartScrollbar = new AmCharts.ChartScrollbar();
								chart.addChartScrollbar(chartScrollbar);
								
								// LEGEND
								var legend = new AmCharts.AmLegend();
								chart.addLegend(legend);
								$("#linegraph").html("");
								chart.write("linegraph");
								$('#prevDay').removeAttr('disabled');
								$('#nextDay').removeAttr('disabled');
								$('#lineButton').removeAttr('disabled');
	   							$('#refreshLine').removeAttr('disabled');
								
				
							}
						});
					}
				});
			}
		);
		
		
		function changeLineDay(days,option)
	    {
	       if(option == 0)
	       {
	       	  day +=  days;
	       }
	       else
	       {
	          day = days;
	       }
		   
		   $("#throbber").show();
		   $('#prevDay').attr('disabled', 'disabled');
		   $('#nextDay').attr('disabled', 'disabled');
		   $('#lineButton').attr('disabled', 'disabled');
	   	   $('#refreshLine').attr('disabled', 'disabled');
	       
	       $.ajax({
		       url: "/index.php/pages/search/GraphLine/<?php echo $dev_id ?>/" + day,
		       dataType: 'json',
		       data: undefined,
		       cache: false, 
		       success: function(chartData) {
					$.ajax({
				       url: '/index.php/pages/search/GetChannelsInfo/<?php echo $dev_id ?>/' + day,
				       dataType: 'json',
				       data: undefined,
		       		   cache: false, 
				       success: function(modInfo) {
				       	    $("#throbber").hide();
				       	    chart.clearLabels();
					        chart.addLabel(10, 0, modInfo[0]['title'], "center", 15, "#000000", 0, 1, true);
						    chart.dataProvider = chartData;
			       			chart.validateData();
							$('#prevDay').removeAttr('disabled');
							$('#nextDay').removeAttr('disabled');
							$('#lineButton').removeAttr('disabled');
	   						$('#refreshLine').removeAttr('disabled');
						}
					});
				}
		   });
		}
		
		function lineDate() {
			var first = parseDate("<?php echo $today ?>");
			var second = parseDate($('#lineDate').val());
		    changeLineDay(-1*Math.floor((second-first)/86400000),1);
		}
		
		$("#lineButton").click(function() {
	    	lineDate();
		});
	    // ]]>  
	</script>
</div>
<?php
$this->load->view("footer/index");
?>