<?php
$this->load->view("header/index");
?>
<link rel="stylesheet" type="text/css" href="/style/module.css" media="screen" />
<link rel="stylesheet" type="text/css" href="/style/device.css" media="screen" />
<link rel="stylesheet" type="text/css" href="/style/tabmenu.css" media="screen" />
<script type="text/javascript" src="/js/jqui.js"></script>
<script type="text/javascript" src="/js/timepick.js"></script>
<link rel="stylesheet" type="text/css" href="/style/timepick.css" media="screen" />
<link rel="stylesheet" type="text/css" href="/style/tables.css" media="screen" 
<link rel="stylesheet" type="text/css" href="/style/jqui.css" media="screen" />

<div id="middle" class="center">
	<div id="devHead">
		<div class="centerwrap">
			<div id="devInfo">
				<span class="devTitle"><?php if($dev_id != 0) { 
												if($dev['alias'] != '') {
													 echo $dev['alias'].'('; 
												} 
											
												echo $dev['serial']; 
											
												if($dev['alias'] != '') {
													 echo ')'; 
												}
											}
											else {
												echo 'All Devices';
											}
										?></span>
				<div class="devSeparator"></div>
				<ul id="tabmenu" class="center">
			      <li><a href="<?php echo base_url().'index.php/pages/search/device/'.$dev_id; ?>">Channels</a></li>
			      <li><a href="<?php echo base_url().'index.php/pages/search/line/'.$dev_id; ?>">Line Graph</a></li>
			      <li><a href="<?php echo base_url().'index.php/pages/search/Live/'.$dev_id; ?>">Live Data</a></li>
			    </ul>
			</div>
		</div>
	</div>
	
	
	<div id="clear"></div>
    <script>
    	$(function(){
		    var $container = $('#container');
		    $container.imagesLoaded( function(){
		        $container.masonry({
		            itemSelector : '.box',
		            isFitWidth: true,
		            columnWidth: 50
		        });
		    });
		});
    </script>
    <div class="centerwrap">
    	<div id="container" style="margin:0 auto;">
    		<div class="box col1">
				<div id="module" style="width:425px;">
					<div class="title">Current Data</div>
					<div id="tblHolder">
						<?php echo $chnData; ?>
					</div>
				</div>
			</div>
			<div class="box col1">
				<div id="module" style="width:425px;">
				  <div class="title">Channels</div>	
				  <div style="height:<?php echo $chart_height; ?>px;">
					  <div id="liveData" style="padding-top:16px; width:425px; height:<?php echo $chart_height; ?>px; display: table-cell; vertical-align:middle;">
					  		<div style="font-family: Helvetica; font-weight:bold; text-align:center;">Loading...<img src="/img/throbber.gif" style="vertical-align: middle; padding-left:5px;"/></div>
					  </div>
				  </div>
				</div>
			</div>
	  </div>
    </div>
	<!--- Optional: Graph Loader -->
<script type="text/javascript">
	var chart;
    chart = new AmCharts.AmSerialChart();
    chart.pathToImages = "/graphs/graphing/javascript/images/";
    
    AmCharts.ready(
		function () { 
			$.ajax({
		       url: "/index.php/pages/search/GraphLive/<?php echo $dev_id ?>",
		       timeout: 20000,
		       dataType: 'json',
		       data: undefined,
	           cache: false, 
		       success: function(chartData) {	
				    chart.dataProvider = chartData;
		            chart.categoryField = "ch_name";
        			chart.rotate = true;
        			chart.autoMargins = false;
        			chart.marginLeft = 10;
        			chart.marginRight = 30;
        			chart.marginBottom = 70;
                	chart.columnWidth = 0.9;
             
			        var categoryAxis = chart.categoryAxis;
			        categoryAxis.inside = true;
	                categoryAxis.gridAlpha = 0;
	                categoryAxis.axisAlpha = 0;
        			categoryAxis.gridPosition = "start";
		            var valueAxis = new AmCharts.ValueAxis();
				    valueAxis.title = "Watts";
	                valueAxis.dashLength = 1;
	                valueAxis.gridAlpha = 0.1;
	                valueAxis.axisAlpha = 0;
				    chart.addValueAxis(valueAxis);
				    
	            	var graph = new AmCharts.AmGraph();
	                graph.type = "column";
	                graph.valueField = "value";
	                graph.colorField = "colour";
	                graph.balloonText = "[[category]]" + ": [[value]] " + " Watts";
				    graph.fillAlphas = 0.8;
                	graph.lineAlpha = 0;
	                chart.addGraph(graph);
					$("#liveData").html("");
						            
					chart.write("liveData");
				}
			});
		}
	);
	
	
	function liveData()
	{
		$.ajax({
		       url: "/index.php/pages/search/GraphLive/<?php echo $dev_id ?>",
		       timeout: 20000,
		       dataType: 'json',
		       data: undefined,
	           cache: false, 
		       success: function(chartData) {	
	       	    chart.dataProvider = chartData;
       			chart.validateData();
			
			}
	   });
	   
	   $.ajax({
		       url: "/index.php/pages/search/getLive/<?php echo $dev_id ?>",
		       timeout: 20000,
		       dataType: 'html',
		       data: undefined,
	           cache: false, 
		       success: function(chartData) {
		       	$('#tblHolder').html(chartData);			
			}
	   });
	}
	
    setInterval(liveData, 15000);
	
</script>
</div>
<?php
$this->load->view("footer/index");
?>