<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Dashboard</title>
  <link rel="stylesheet" type="text/css" href="/style/style.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/style/colorpicker.css" media="screen" />
  <script type="text/javascript" src="/js/jq.js"></script>
  <script type="text/javascript" src="/js/colorpicker.js"></script>
  <script type="text/javascript" src="/js/eye.js"></script>
  <script type="text/javascript" src="/js/utils.js"></script>
  
</head>
<script>
  <?php 
  if(isset($colours)) 
  {
 	 echo "
		  (function($){
		  var initLayout = function() {
		    $('".$colours."').ColorPicker({
		      onSubmit: function(hsb, hex, rgb, el) {
		        $(el).val(hex);
		        $(el).ColorPickerHide();
		      },
		      onBeforeShow: function () {
		        $(this).ColorPickerSetColor(this.value);
		      }
		    })
		    .bind('keyup', function(){
		      $(this).ColorPickerSetColor(this.value);
		    });
		  };
		  
		  var showTab = function(e) {
		    var tabIndex = $('ul.navigationTabs a')
		              .removeClass('active')
		              .index(this);
		    $(this)
		      .addClass('active')
		      .blur();
		    $('div.tab')
		      .hide()
		        .eq(tabIndex)
		        .show();
		  };
		  
		  EYE.register(initLayout, 'init');
		})(jQuery)
		";
 }
?>
</script>


<body style="background:#FFF;">
      <div class="center" style="font-size:14px; width:600px;">
      <?php if($msg == 1) { echo '<span style="font-weight:bold;">Your device has been modified.</span>'; } ?>
      <?php echo '<div class="center" style="font-weight:bold; color:blue; padding-bottom:10px;">'.validation_errors().'</div>'; ?>
      <?php echo form_open('pages/device/'.$form.'/'.$serial); ?>
      <input type="hidden" name="device_id" value="<?php echo set_value('device_id', $device_id); ?>" />
      <fieldset class="info"> 
            <legend>Device Information</legend> 
            <table style="border:none; width:580px;">
              <tr>
                <td style="width:150px;">Type:</td> 
                <td colspan="2"><?php echo $form; ?></td>
              </tr>
              <tr>
                <td style="width:150px;"><label for="serial">Serial Number:</label></td> 
                <td colspan="2"><input type="text" id="text" name="serial" value="<?php echo set_value('serial', $serial); ?>" /></td>
              </tr> 
              <tr>
                <td><label for="alias">Alias:</label></td> 
                <td colspan="2"><input type="text" id="text" name="alias" value="<?php echo set_value('alias', $alias); ?>" /></td> 
              </tr> 
            </table>
          </fieldset> 
          
          <fieldset class="channels"> 
          <legend>Channel Information</legend> 
            <table style="border:none; width:580px;">
              
              <?php
              	if(strlen($channels) > 205)
				{
					
              		echo $channels;
				}
				else {
					echo '<tr><td colspan="7" style="text-align: center; font-weight:bold;">Waiting for first packet... <br><br>You can view Raw Data under System settings to see what\'s currently coming in.</td></tr>';	
				}
              ?>
            </table>
          	<div style="text-align:right;"><input type="submit" id="submit" value="Update Information" /></div>
          </fieldset>
      <?php echo form_close(); ?>
      <?php $attributes = array('id' => 'image'); echo form_open_multipart('pages/images/UploadImage/1/'.$serial,$attributes); ?>
			<fieldset id="images"> 
				<legend>Image Upload</legend> 
            	<table style="width:580px; border:none;">
					<td><input type="file" name="userfile" value="Choose File" /></td><td style="text-align:right;"><input type="submit" id="submit" value="Upload Image" /></td>
				</table>
		    </fieldset>
      <?php echo form_close(); ?>
      </div>
</body>
</html>