<style>
	.devMenu{
	width: 470px;
	height: 50px;
	line-height:50px;
	display: block;
	border: 1px solid #171717;
	-webkit-box-shadow: 0 1px 3px rgba(23, 23, 23, 1);
	-webkit-border-radius: 4px;
	-moz-border-radius: 4px;
	border-radius: 4px;
	overflow: hidden;
	margin-bottom:5px;
	behavior: url('/style/PIE.php');
}
</style>
<link rel="stylesheet" type="text/css" href="/style/device.css" />

	  	<div class="mainHead" id="en">1) Energy Monitors:  <a href="#menu">Return to Top</a></div>
		<div class="devMenu center">
			<div style="float:left; width:230px; top:50%;"><a href="#" class="addnew">Connect A Monitor</a></div>
			<div style="float:left; width:230px; top:50%;"><a href="#" class="addnew">Remove A Monitor</a></div>			
		</div>	
		
	    <div id="device">
            <div class="devImage">ECM-1240
            	<img src="/img/ecm1240.jpg" />
            </div>  
            <div class="devInfo">
            	<table class="center">
            		<tr>
            			<td class="devHolder"><a class="devLink" href="#">321654</a></td>
            		</tr>
		      	</table>
		    </div>
		</div>
		<div id="clear"></div>
		<div id="device">
            <div class="devImage">Green Eye
            	<img src="/img/geye.png" />
            </div>  
            <div class="devInfo">
                <table class="center">
	                <tr>
	                	<td class="devHolder">
	                		<a class="devLink" href="#"><strong>01000123</strong></a><br />
	                		<a class="devLink" href="#"><strong>Send Command</strong></a>
		          		</td>
		          	</tr>
		         </table>
		     </div>
		 </div>
		<div id="clear"></div>
	  	
		<div class="caption">Fig 2. Energy Monitor Management</div>
	  	<ul>
        	<li><strong><a href="#conn">Connect an Energy Monitor</a></strong> will bring up a interface with 2 inputs:
        		<ul>
        			<li><a href="#" class="tooltip"><strong>Serial Number</strong><span class="classic">Your serial number can be found using a setup program or on your unit.</span></a> - identifies the unit that's sending packets to the server.</li>
        			<li><strong>Device Type</strong> - GreenEye Monitors and ECM-1240s are currently supported.</li>
        		</ul>
        	<li><strong><a href="#rem">Remove an Energy Monitor</a></strong> will allow you to select a serial number and remove the associated unit. Note that due to the amount of records associated to one device, this won't remove the data associated with the device.  If you want to remove the data, you'll have to use the Clear Database section.</li>
        	<li>Clicking a <a href="#ser" class="tooltip"><strong>Serial Number</strong><span class="classic">Your serial number can be found using a setup program or on your unit.</span></a> of an energy monitor will bring up a page where you can configure all settings associated with the Energy Monitor</li>
        	<li><strong><a href="#cmd">Send Command</a></strong> is unique to the GreenEye Monitor.  It allows you to "queue" up commands that will be sent to the monitor as a response to the next packet.  Available commands can be found in our commands document.</li>
        </ul>
       <div class="subHead" id="conn">- Connecting Energy Monitors: <a href="#en">Return to Top</a></div>
       <fieldset class="info" style="width:400px; margin:0 auto;"> 
        <legend>Device Information</legend> 
        <table style="width:350px; border:none;">
          <tbody><tr>
            <td style="width:150px;"><label for="serial">Serial Number:</label></td> 
            <td><input type="text" id="text" name="serial" value=""></td>
          </tr> 
          <tr>
            <td><label for="alias">Type:</label></td> 
            <td><select name="type">
                <option value="ecm1240">ECM-1240</option>
                <option value="geye">Green Eye</option>
              </select></td> 
          </tr> 
		  <tr>
			<td>&nbsp;</td>
			<td><input type="button" id="submit" value="Save Device"></td>
		  </tr>
        </tbody></table>
      </fieldset>
	  <div class="caption">Fig 3. Connecting an Energy Monitor</div>
      <ul>
    	<li>As stated above (also shown in Fig 3), <strong>Connect an Energy Monitor</strong> will bring up an interface with 2 inputs:
    		<ul>
    			<li><a href="#" class="tooltip"><strong>Serial Number</strong><span class="classic">Your serial number can be found using a setup program or on your unit.</span></a> - identifies the unit that's sending packets to the server.
    			<li><strong>Device Type</strong> - GreenEye Monitors and ECM-1240s are currently supported.</li>
    		</ul>
    	</li>
    	<li>To connect an Energy Monitor, follow the steps below:
    		<ol>
    			<li>Enter your <a href="#" class="tooltip"><strong>Serial Number</strong><span class="classic">Your serial number can be found using a setup program or on your unit.</span></a></li>
    			<li>Select your <strong>Energy Monitor Type</strong></li>
    			<li>Finally, click <strong>Save Device</strong></li>
    		</ol>
    	</li>
    	<li>Note:  Your Energy Monitor must already be connected and be sending packets for the device to connect.</li>
       </ul>
       
       <div class="subHead" id="rem">- Removing Energy Monitors: <a href="#en">Return to Top</a></div>
       <fieldset class="info" style="width:400px; margin:0 auto;"> 
            <legend>Device Information</legend> 
            <table style="width:350px; border:none;">
              <tr>
                <td style="width:150px;"><label for="serial">Serial Number:</label></td> 
                <td><select name="serial">
                	<option value=""></option><option value="324239">324239</option>                    
                  </select></td>
              </tr> 
			  <tr>
				<td>&nbsp;</td>
				<td><input type="button" id="submit" value="Delete Device" /></td>
			  </tr>
            </table>
          </fieldset>
	  <div class="caption">Fig 4. Removing an Energy Monitor</div>
      <ul>
    	<li>Each created Energy Monitor will show up in the dropdown box in Fig. 4.</li>  
    	<li>The directions for removing an Energy Monitor are as follows:
    		<ul>
    			<li>Select the <a href="#" class="tooltip"><strong>Serial Number</strong><span class="classic">Your serial number can be found using a setup program or on your unit.</span></a> you wish to remove.</li>
    			<li>Click <strong>Delete Device</strong>.</li>
    		</ul>
    	</li>
    	<li>Note:  Data will not be deleted, just the device and its associated channels.  To remove data, you have to use the <strong>Clear Database</strong> section.</li>
       </ul>
       
       <div class="subHead" id="ser">- Editing Energy Monitors: <a href="#en">Return to Top</a></div>
	   <fieldset class="info" style="width:580px; margin:0 auto;"> 
        <legend>Device Information</legend> 
        <table style="border:none; width:580px;">
          <tr>
            <td style="width:150px;">Type:</td> 
            <td colspan="2">geye</td>
          </tr>
          <tr>
            <td style="width:150px;"><label for="serial">Serial Number:</label></td> 
            <td colspan="2"><input type="text" id="text" name="serial" value="" /></td>
          </tr> 
          <tr>
            <td><label for="alias">Alias:</label></td> 
            <td colspan="2"><input type="text" id="text" name="alias" value="" /></td> 
          </tr> 
        </table>
	   </fieldset> 
      
       <fieldset class="channels" style="width:580px; margin:0 auto;"> 
       <legend>Channel Information</legend> 
        <table style="border:none; width:580px;">
          <tr>
            <th>Channel</th>
            <th>Main?</th>
            <th>Net?</th>
            <th>Hide?</th>
            <th>Colour</th>
            <th>Image</th>
            <th>Threshold</th>
          </tr>
          <input type="hidden" name="channel1" value="87"><tr><td>
            <label for="channel">1. </label> 
            <input type="text" id="text" name="ch1alias" value="Channel 1"></td><td class="center"><input type="checkbox" id="main" name="main1" value="1"  checked="checked" /></td><td class="center"><input type="checkbox" id="net" name="net1" value="1"  /></td><td class="center"><input type="checkbox" id="hide" name="hide1" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch1colour" name="ch1colour" value="C2B2FD" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on1" maxlength="6" size="6" name="on1" value="0" /></td></tr><input type="hidden" name="channel2" value="88"><tr><td>
            <label for="channel">2. </label> 
            <input type="text" id="text" name="ch2alias" value="Channel 2"></td><td class="center"><input type="checkbox" id="main" name="main2" value="1"  /></td><td class="center"><input type="checkbox" id="net" name="net2" value="1"  checked="checked" /></td><td class="center"><input type="checkbox" id="hide" name="hide2" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch2colour" name="ch2colour" value="C63640" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on2" maxlength="6" size="6" name="on2" value="0" /></td></tr><input type="hidden" name="channel3" value="89"><tr><td>
            <label for="channel">3. </label> 
            <input type="text" id="text" name="ch3alias" value="Channel 3"></td><td class="center"><input type="checkbox" id="main" name="main3" value="1"  /></td><td class="center"><input type="checkbox" id="net" name="net3" value="1"  /></td><td class="center"><input type="checkbox" id="hide" name="hide3" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch3colour" name="ch3colour" value="691373" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on3" maxlength="6" size="6" name="on3" value="0" /></td></tr><input type="hidden" name="channel4" value="90"><tr><td>
            <label for="channel">4. </label> 
            <input type="text" id="text" name="ch4alias" value="Channel 4"></td><td class="center"><input type="checkbox" id="main" name="main4" value="1"  /></td><td class="center"><input type="checkbox" id="net" name="net4" value="1"  /></td><td class="center"><input type="checkbox" id="hide" name="hide4" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch4colour" name="ch4colour" value="2740CC" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on4" maxlength="6" size="6" name="on4" value="0" /></td></tr><input type="hidden" name="channel5" value="91"><tr><td>
            <label for="channel">5. </label> 
            <input type="text" id="text" name="ch5alias" value="Channel 5"></td><td class="center"><input type="checkbox" id="main" name="main5" value="1"  /></td><td class="center"><input type="checkbox" id="net" name="net5" value="1"  /></td><td class="center"><input type="checkbox" id="hide" name="hide5" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch5colour" name="ch5colour" value="FCBA5D" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on5" maxlength="6" size="6" name="on5" value="0" /></td></tr><input type="hidden" name="channel6" value="92"><tr><td>
            <label for="channel">.</label> 
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td>
            <label for="channel">.</label>
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td>
            <label for="channel">.</label>
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td>
            <label for="channel">31. </label> 
            <input type="text" id="text" name="ch31alias" value="Channel 31"></td><td class="center"><input type="checkbox" id="main" name="main31" value="1"  /></td><td class="center"><input type="checkbox" id="net" name="net31" value="1"  /></td><td class="center"><input type="checkbox" id="hide" name="hide31" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch31colour" name="ch31colour" value="178702" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on31" maxlength="6" size="6" name="on31" value="0" /></td></tr><input type="hidden" name="channel32" value="118"><tr><td>
            <label for="channel">32. </label> 
            <input type="text" id="text" name="ch32alias" value="Channel 32"></td><td class="center"><input type="checkbox" id="main" name="main32" value="1"  /></td><td class="center"><input type="checkbox" id="net" name="net32" value="1"  /></td><td class="center"><input type="checkbox" id="hide" name="hide32" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch32colour" name="ch32colour" value="41EEB6" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on32" maxlength="6" size="6" name="on32" value="0" /></td></tr><tr><td style="padding-top:10px; font-weight:bold;">Net</td></tr><tr><td style="padding-top:10px; font-weight:bold;">Pulse</td></tr><input type="hidden" name="channel33" value="128"><tr><td>
            <label for="channel">33. </label> 
            <input type="text" id="text" name="ch33alias" value="Channel 2 Gen"></td><td class="center"></td><td class="center"></td><td class="center"><input type="checkbox" id="hide" name="hide33" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch33colour" name="ch33colour" value="" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on33" maxlength="6" size="6" name="on33" value="0" /></td></tr><tr><td style="padding-top:10px; font-weight:bold;">Pulse</td></tr><input type="hidden" name="channel34" value="128"><tr><td>
            <label for="channel">34. </label> 
            <input type="text" id="text" name="ch33alias" value="Pulse 1"></td><td class="center"></td><td class="center"></td><td class="center"><input type="checkbox" id="hide" name="hide33" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch33colour" name="ch33colour" value="F02563" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on33" maxlength="6" size="6" name="on33" value="0" /></td></tr><tr><td colspan="6" style="padding-left:30px;"><strong>1 Pulse</strong> = <input type="text" size="3" name="pulse33"value="1" /> <strong>&nbsp;Unit:</strong> <input type="text" name="punit33" value="" /></td></tr><input type="hidden" name="channel34" value="129"><tr><td>
            <label for="channel">35. </label> 
            <input type="text" id="text" name="ch34alias" value="Pulse 2"></td><td class="center"></td><td class="center"></td><td class="center"><input type="checkbox" id="hide" name="hide34" value="1"  /></td><td><div><input type="text" maxlength="6" size="6" id="ch34colour" name="ch34colour" value="6593D6" /></div></td><td><a href="#">Select</a></td><td><input type="text" id="on34" maxlength="6" size="6" name="on34" value="0" /></td></tr><tr><td colspan="6" style="padding-left:30px;"><strong>1 Pulse</strong> = <input type="text" size="3" name="pulse34"value="1" /> <strong>&nbsp;Unit:</strong> <input type="text" name="punit34" value="" /></td></tr><input type="hidden" name="channel35" value="130"><tr><td>
            <label for="channel">.</label> 
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td>
            <label for="channel">.</label>
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td>
            <tr><td style="padding-top:10px; font-weight:bold;">Temperature</td></tr><input type="hidden" name="channel37" value="120"><tr><td>
            <label for="channel">38. </label> 
            <input type="text" id="text" name="ch44alias" value="Temp. 1"></td><td class="center">Unit:</td><td class="center"><select name="tmp44Unit"><option value="C"  >C</option><option value="F"  >F</option></select></td><td class="center"><input type="checkbox" id="hide" name="hide44" value="1"  /></td><td><input type="text" maxlength="6" size="6" id="ch44colour" name="ch44colour" value="122333" /></td><td><a href="#">Select</a></td><td><input type="text" id="on44" maxlength="6" size="6" name="on44" value="0" /></td></tr><input type="hidden" name="channel45" value="127"><tr><td>
            <label for="channel">39. </label>  
            <input type="text" id="text" name="ch44alias" value="Temp. 2"></td><td class="center">Unit:</td><td class="center"><select name="tmp44Unit"><option value="C"  >C</option><option value="F"  >F</option></select></td><td class="center"><input type="checkbox" id="hide" name="hide44" value="1"  /></td><td><input type="text" maxlength="6" size="6" id="ch44colour" name="ch44colour" value="122333" /></td><td><a href="#">Select</a></td><td><input type="text" id="on44" maxlength="6" size="6" name="on44" value="0" /></td></tr><input type="hidden" name="channel45" value="127"><tr><td>
            <label for="channel">.</label> 
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td>
            <label for="channel">.</label>
            </td><td class="center"></td><td class="center"></td><td class="center"></td><td><div></div></td><td></td></tr><tr><td></table>
      	<div style="text-align:right;"><input type="button" id="submit" value="Update Information" /></div>
       </fieldset>
          
       <fieldset id="images" style="width:580px; margin:0 auto;"> 
		<legend>Image Upload</legend> 
    	<table style="width:580px; border:none;">
			<td><input type="file" name="userfile" value="Choose File" /></td><td style="text-align:right;"><input type="button" id="submit" value="Upload Image" /></td>
		</table>
	   </fieldset>
	   <div class="caption">Fig 5. Editing an Energy Monitor</div>
       <ul>
    	<li>In the <strong>Device Information box</strong>, you can change your <a href="#" class="tooltip"><strong>Serial Number</strong><span class="classic">Your serial number can be found using a setup program or on your unit.</span></a> and add an <strong>Alias</strong> to your Energy Monitor.</li>
    	<li><strong>Channels</strong> will be created upon receiving the first packet from the Energy Monitor.</li>
    	<li>Under <strong>Channel Information</strong>, channels are broken down into 4 categories: <strong>Channel</strong>, and <strong>Net</strong> which are relevant to the ECM-1240 and the GreenEye Monitor, 
    		and <strong>Pulse</strong> and <strong>Temperature</strong> which are unique to the GreenEye Monitor.
    		<ol>
    			<li><strong>Channels</strong> can have the following fields: <strong>Main</strong>, <strong>Net</strong>, <strong>Hide</strong>, 
    				<strong>Colour</strong>, <strong>Image</strong>, and a <strong>Threshold</strong> value.
    				<ul>
    					<li><strong>Main</strong> - specifies that the channel is made up of part of the Main Breaker.</li>
    					<li><strong>Net</strong> - specifies that the channel is a NET Metering channel, this will create an additional channel that tracks generated power.</li>
    					<li><strong>Hide</strong> - this is used if a channel is not in use, it will hide the channel from the Loads page.</li>
    					<li><strong>Colour</strong> - specifies the colour to be used in all of the graphing for that channel.</li>
    					<li><strong>Image</strong> - specifies the image to be shown for the channel on the Loads page.</li>
    					<li><strong>Threshold</strong> - specifies an "on" value for the channel which is used to show that the channel is in use. Currently, it lights up a green LED on the Loads page when wattage is equal to or exceeds the threshold value.</li>
    				</ul>	
    			</li>
    			<li><strong>Net channels</strong> are created when a channel is marked as NET Metering, it will show the generation for the channel.</li>
    			<li><strong>Pulse channels</strong> correspond to the GreenEye Monitors pulse inputs, you can have a maximum of 4 pulse sensors.
    				<ul>
    					<li>You must specify how much each pulse equals, and the unit its tracking indicated by your pulse device.  For example, each pulse on a water meter may equal 0.25 Gallons. This value will be used in the calculation of every packet.</li>
    				</ul>
    			</li>
    			<li><strong>Temperature channels</strong> correspond to the GreenEye Monitors temperature inputs, you can connect a maximum of 8 temperature sensors.
    				<ul>
    					<li>A unit must be selected for each temperature sensor just as it was set in the GreenEye Monitor.  This unit is only used for display purposes and can be changed at any time without affecting existing data.</li>
    				</ul>
    			</li>
    		</ol>
    	  </li>
    		<li>An <strong>Image Uploader</strong> is provided at the bottom of this page as a convienence to upload channel images.</li>
        </ul>
        
       <div class="subHead" id="cmd">- GreenEye Commands: <a href="#en">Return to Top</a></div>
	      <fieldset class="info" style="width:560px; margin:0 auto;">  
	        <legend>Commands</legend> 
	        <table style="border:none;">
			  <tr>
	            <td style="width:150px;">Command:</td> 
	            <td><input type="text" name="command" value="" /></td>
	          </tr>
	          <tr>
	          	<td></td><td><input type="button" id="submit" value="Send Command" /></td>
	          </tr>
	        </table>
	      </fieldset> 
	      
	      <fieldset class="info" style="width:560px; margin:0 auto;"> 
	        <legend>Command Queue</legend> 
	        <table style="border:none; width:560px;">
	          <tr><td>HTTP Commands:</td></tr>
	         </table>
	      </fieldset>
		  <div class="caption">Fig 6. GreenEye Command interface.</div>
	 	  <ul>
	    	<li>The <strong>GreenEye Commands</strong> interface allows you to specify a queue of commands that will be sent to the monitor upon receiving its next packet.  A list of commands can be found in our commands document.</li>
	    	<li>The <strong>Command Queue</strong> shows the list of commands that are ready to be sent out to the GEM.  Once they are sent out, this queue will empty.</li>
	    	<li><strong>Commands</strong> will be only sent when Real-Time is enabled, so make sure not to send the Stop Real-Time command.</li>
	     </ul>
	  
