<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
  
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Dashboard</title>
  <link rel="stylesheet" type="text/css" href="/style/style.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/style/colorpicker.css" media="screen" />
  <script type="text/javascript" src="/js/jq.js"></script>
  <script type="text/javascript" src="/js/colorpicker.js"></script>
  <script type="text/javascript" src="/js/eye.js"></script>
  <script type="text/javascript" src="/js/utils.js"></script>
  
</head>

 <style>
  .tableWidth{
  	width:330px;
  	font-weight:bold;
  	margin:0 auto;
  }
</style>   

<script>
  (function($){
  var initLayout = function() {
    $('#colour').ColorPicker({
      onSubmit: function(hsb, hex, rgb, el) {
        $(el).val(hex);
        $(el).ColorPickerHide();
      },
      onBeforeShow: function () {
        $(this).ColorPickerSetColor(this.value);
      }
    })
    .bind('keyup', function(){
      $(this).ColorPickerSetColor(this.value);
    });
  };
  
  var showTab = function(e) {
    var tabIndex = $('ul.navigationTabs a')
              .removeClass('active')
              .index(this);
    $(this)
      .addClass('active')
      .blur();
    $('div.tab')
      .hide()
        .eq(tabIndex)
        .show();
  };
  
  EYE.register(initLayout, 'init');
})(jQuery)


</script>
    
<body style="background:#FFF;">
  <div style="font-size:14px; width:100%;">
  	  <?php echo '<div class="center" style="font-weight:bold; color:blue; padding-bottom:10px;">'.validation_errors().'</div>'; ?>
      <?php echo form_open('pages/virtual/ManageChannel/'.$channel_id); ?>
      <div class="popUpHolder minHeight">
        <div class="popUpTitle bgGradientTwo">Virtual Channel Information</div> 
            <input type="hidden" name="channel_id" value="<?php echo set_value('channel_id', $channel_id); ?>" />
            <table class="tableWidth">
              <tr>
                <td><label for="title">Channel Name:<?php echo form_error('channel_name', '*'); ?></label></td> 
                <td><input type="text" class="text" name="channel_name" value="<?php echo set_value('channel_name', $channel_name); ?>" /></td> 
              </tr> 
              <tr>
                <td><label for="title">Colour:<?php echo form_error('colour', '*'); ?></label></td> 
                <td><input type="text" class="text" name="colour" id="colour" value="<?php echo set_value('colour', $colour); ?>" /></td> 
              </tr> 
			  <tr>
				<td colspan="2"><div class="center"><input type="submit" id="submit" value="Save Virtual" /></div></td>
			  </tr>
            </table>
          </div> 
      <?php echo form_close(); ?>
      </div>
      <div id="clear"></div>
</body>
</html>